> For the complete documentation index, see [llms.txt](https://docs.gpmautomate.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gpmautomate.com/automate-en/action-guides/default-values.md).

# 📦Some default variables

### Default system variables

During the script building process, GPM Automate automatically provides several system variables. You can call these variables in any action to retrieve information about the Profile or the Excel data being processed without needing to initialize them yourself.

#### 1. Profile information variable group

These variables help the script identify and process data according to each Browser Profile that is running:

* 🆔 `$profileId`: Returns the unique identifier ID of the currently open profile.
* 🏷️ `$profileName`: Returns the display name of the currently open profile.
* 🌐 `$profileProxy`: Returns the Proxy (IP) information that the currently open profile is using.

#### 2. Loop variable group

* 🔄 `$loopIndex`: Returns the current index (count order) of the For loop. This variable automatically increments after each iteration.

#### 3. Excel data management variable group (`$inputExcel`)

When your script is configured to use an input Excel file to read/write data, the system will automatically activate the following variables:

* 📂 `$inputExcel`: Represents the input Excel file that is linked in the script.
* 📍 `$inputExcelFileLocation`: Returns the exact file path of the input Excel file on the computer.
* 📊 `$inputExcelTotalRows`: Returns the total number of rows that contain data in the input Excel file.
* 🔢 `$inputExcelCurrentRow`: Returns the index of the current row being accessed and processed during the reading of the Excel file.

> 💡 General rule about Variables: In GPM Automate, all variables (including available system variables and variables you name yourself when scripting) start with the character `$`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.gpmautomate.com/automate-en/action-guides/default-values.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
